Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class Loader

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.beans.AbstractDataSource
                          weka.gui.beans.Loader

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.io.Serializable, javax.accessibility.Accessible, DataSource, EventConstraints, UserRequestAcceptor, Visible, WekaWrapper

    public class Loader

extends AbstractDataSource
implements UserRequestAcceptor, WekaWrapper, EventConstraints

Loads data sets using weka.core.converter classes

Since:
  1.0
Version:
  $Revision: 1.10.2.5 $
Author:
  Mark Hall
See Also:
  `AbstractDataSource`, `UserRequestAcceptor`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Loader()`

Method Summary
`void` | `addDataSourceListener(DataSourceListener dsl)` Add a listener
`void` | `addInstanceListener(InstanceListener dsl)` Add an instance listener
`java.util.Enumeration` | `enumerateRequests()` Get a list of user requests
`boolean` | `eventGeneratable(java.lang.String eventName)` Returns true if the named event can be generated at this time
`Loader` | `getLoader()` Get the loader
`java.lang.Object` | `getWrappedAlgorithm()` Get the loader
`java.lang.String` | `globalInfo()` Global info (if it exists) for the wrapped loader
`static void` | `main(java.lang.String[] args)`
`void` | `performRequest(java.lang.String request)` Perform the named request
`void` | `removeDataSourceListener(DataSourceListener dsl)` Remove a listener
`void` | `removeInstanceListener(InstanceListener dsl)` Remove an instance listener
`void` | `setBeanContext(java.beans.beancontext.BeanContext bc)` Set a bean context for this bean
`void` | `setDB(boolean flag)`
`void` | `setLoader(Loader loader)` Set the loader to use
`void` | `setWrappedAlgorithm(java.lang.Object algorithm)` Set the loader
`void` | `startLoading()` Start loading data

Methods inherited from class weka.gui.beans.AbstractDataSource
`addPropertyChangeListener, addVetoableChangeListener, getBeanContext, getVisual, removePropertyChangeListener, removeVetoableChangeListener, setVisual, useDefaultVisual`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Global info (if it exists) for the wrapped loader

  Returns:
    the global info

### setDB

    public void setDB(boolean flag)

### setBeanContext

    public void setBeanContext(java.beans.beancontext.BeanContext bc)

  Set a bean context for this bean

  Specified by:
    `setBeanContext` in interface `java.beans.beancontext.BeanContextChild`
  Overrides:
    `setBeanContext` in class `AbstractDataSource`
  Parameters:
    `bc` - a `BeanContext` value

### setLoader

    public void setLoader(Loader loader)

  Set the loader to use

  Parameters:
    `loader` - a `weka.core.converters.Loader` value

### getLoader

    public Loader getLoader()

  Get the loader

  Returns:
    a `weka.core.converters.Loader` value

### setWrappedAlgorithm

    public void setWrappedAlgorithm(java.lang.Object algorithm)

  Set the loader

  Specified by:
    `setWrappedAlgorithm` in interface `WekaWrapper`
  Parameters:
    `algorithm` - a Loader
  Throws:
    `java.lang.IllegalArgumentException` - if an error occurs

### getWrappedAlgorithm

    public java.lang.Object getWrappedAlgorithm()

  Get the loader

  Specified by:
    `getWrappedAlgorithm` in interface `WekaWrapper`
  Returns:
    a Loader

### startLoading

    public void startLoading()

  Start loading data

### enumerateRequests

    public java.util.Enumeration enumerateRequests()

  Get a list of user requests

  Specified by:
    `enumerateRequests` in interface `UserRequestAcceptor`
  Returns:
    an `Enumeration` value

### performRequest

    public void performRequest(java.lang.String request)

  Perform the named request

  Specified by:
    `performRequest` in interface `UserRequestAcceptor`
  Parameters:
    `request` - a `String` value
  Throws:
    `java.lang.IllegalArgumentException` - if an error occurs

### eventGeneratable

    public boolean eventGeneratable(java.lang.String eventName)

  Returns true if the named event can be generated at this time

  Specified by:
    `eventGeneratable` in interface `EventConstraints`
  Parameters:
    `eventName` - the event
  Returns:
    a `boolean` value

### addDataSourceListener

    public void addDataSourceListener(DataSourceListener dsl)

  Add a listener

  Specified by:
    `addDataSourceListener` in interface `DataSource`
  Overrides:
    `addDataSourceListener` in class `AbstractDataSource`
  Parameters:
    `dsl` - a `DataSourceListener` value

### removeDataSourceListener

    public void removeDataSourceListener(DataSourceListener dsl)

  Remove a listener

  Specified by:
    `removeDataSourceListener` in interface `DataSource`
  Overrides:
    `removeDataSourceListener` in class `AbstractDataSource`
  Parameters:
    `dsl` - a `DataSourceListener` value

### addInstanceListener

    public void addInstanceListener(InstanceListener dsl)

  Add an instance listener

  Specified by:
    `addInstanceListener` in interface `DataSource`
  Overrides:
    `addInstanceListener` in class `AbstractDataSource`
  Parameters:
    `dsl` - a `InstanceListener` value

### removeInstanceListener

    public void removeInstanceListener(InstanceListener dsl)

  Remove an instance listener

  Specified by:
    `removeInstanceListener` in interface `DataSource`
  Overrides:
    `removeInstanceListener` in class `AbstractDataSource`
  Parameters:
    `dsl` - a `InstanceListener` value

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD